Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.valid
Class ConsistentAreaTester

    java.lang.Object
      com.vividsolutions.jts.operation.valid.ConsistentAreaTester

    public class ConsistentAreaTester

extends java.lang.Object

Checks that a `GeometryGraph` representing an area (a `Polygon` or `MultiPolygon` ) has consistent semantics for area geometries. This check is required for any reasonable polygonal model (including the OGC-SFS model, as well as models which allow ring self-intersection at single points)

Checks include:

- test for rings which properly intersect (but not for ring self-intersection, or intersections at vertices)
- test for consistent labelling at all node points (this detects vertex intersections with invalid topology, i.e. where the exterior side of an edge lies in the interior of the area)
- test for duplicate rings

If an inconsistency is found the location of the problem is recorded and is available to the caller.

Version:
  1.7

Constructor Summary
`ConsistentAreaTester(GeometryGraph geomGraph)` Creates a new tester for consistent areas.

Method Summary
`Coordinate` | `getInvalidPoint()`
`boolean` | `hasDuplicateRings()` Checks for two duplicate rings in an area.
`boolean` | `isNodeConsistentArea()` Check all nodes to see if their labels are consistent with area topology.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsistentAreaTester

    public ConsistentAreaTester(GeometryGraph geomGraph)

  Creates a new tester for consistent areas.

  Parameters:
    `geomGraph` - the topology graph of the area geometry

Method Detail

### getInvalidPoint

    public Coordinate getInvalidPoint()

  Returns:
    the intersection point, or `null` if none was found

### isNodeConsistentArea

    public boolean isNodeConsistentArea()

  Check all nodes to see if their labels are consistent with area topology.

  Returns:
    `true` if this area has a consistent node labelling

### hasDuplicateRings

    public boolean hasDuplicateRings()

  Checks for two duplicate rings in an area. Duplicate rings are rings that are topologically equal (that is, which have the same sequence of points up to point order). If the area is topologically consistent (determined by calling the `isNodeConsistentArea`, duplicate rings can be found by checking for EdgeBundles which contain more than one EdgeEnd. (This is because topologically consistent areas cannot have two rings sharing the same line segment, unless the rings are equal). The start point of one of the equal rings will be placed in invalidPoint.

  Returns:
    true if this area Geometry is topologically consistent but has two duplicate rings

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD